org.eclipse.eef.properties.ui.legacy.internal.extension.impl

## Class LegacyPropertySectionItemDescriptor

- java.lang.Object
- - org.eclipse.eef.properties.ui.api.AbstractEEFSectionDescriptor
  - - org.eclipse.eef.properties.ui.legacy.internal.extension.impl.LegacyPropertySectionItemDescriptor

All Implemented Interfaces:
  IEEFSectionDescriptor, IItemDescriptor

    public class LegacyPropertySectionItemDescriptor
    extends AbstractEEFSectionDescriptor
    implements IItemDescriptor

The property section descriptor.

### Field Summary

### Fields inherited from interface org.eclipse.eef.properties.ui.api.IEEFSectionDescriptor

`ENABLES_FOR_ANY, TOP`

### Constructor Summary

Constructors
Constructor and Description
`LegacyPropertySectionItemDescriptor(org.eclipse.core.runtime.IConfigurationElement configurationElement, IEEFTypeMapper typeMapper)` The constructor.
`LegacyPropertySectionItemDescriptor(org.eclipse.ui.views.properties.tabbed.ISectionDescriptor sectionDescriptor, IEEFTypeMapper typeMapper)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAfterSection()` Get the section identifier below which this section is displayed.
`int` `getEnablesFor()` Get the value for section enablement which is a precise number of items selected.
`org.eclipse.jface.viewers.IFilter` `getFilter()` Get the section filter instance for this section.
`java.lang.String` `getId()` Returns the identifier.
`java.util.List<java.lang.String>` `getInputTypes()` Get the valid input types for this section.
`IEEFSection` `getSectionClass()` Get the class that implements this section.
`java.lang.String` `getTargetTab()` Get the target tab where this section will appear.

### Methods inherited from class org.eclipse.eef.properties.ui.api.AbstractEEFSectionDescriptor

`appliesTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LegacyPropertySectionItemDescriptor

    public LegacyPropertySectionItemDescriptor(org.eclipse.core.runtime.IConfigurationElement configurationElement,
                                               IEEFTypeMapper typeMapper)

The constructor.

Parameters:
  `configurationElement` - The configuration Element
  `typeMapper` - The type mapper

#### LegacyPropertySectionItemDescriptor

    public LegacyPropertySectionItemDescriptor(org.eclipse.ui.views.properties.tabbed.ISectionDescriptor sectionDescriptor,
                                               IEEFTypeMapper typeMapper)

The constructor.

Parameters:
  `sectionDescriptor` - The section descriptor
  `typeMapper` - The type mapper

### Method Detail

#### getId

    public java.lang.String getId()

Returns the identifier.

Specified by:
  `getId` in interface `IEEFSectionDescriptor`
Specified by:
  `getId` in interface `IItemDescriptor`
Returns:
  The identifier
See Also:
  `IEEFSectionDescriptor.getId()`

#### getSectionClass

    public IEEFSection getSectionClass()

Get the class that implements this section.

Specified by:
  `getSectionClass` in interface `IEEFSectionDescriptor`
Returns:
  the class that implements this section.
See Also:
  `IEEFSectionDescriptor.getSectionClass()`

#### getTargetTab

    public java.lang.String getTargetTab()

Get the target tab where this section will appear.

Specified by:
  `getTargetTab` in interface `IEEFSectionDescriptor`
Returns:
  the target tab where this section will appear.
See Also:
  `IEEFSectionDescriptor.getTargetTab()`

#### getFilter

    public org.eclipse.jface.viewers.IFilter getFilter()

Get the section filter instance for this section. Return null if no filter for this section.

Specified by:
  `getFilter` in interface `IEEFSectionDescriptor`
Overrides:
  `getFilter` in class `AbstractEEFSectionDescriptor`
Returns:
  the section filter instance.
See Also:
  `IEEFSectionDescriptor.getFilter()`

#### getAfterSection

    public java.lang.String getAfterSection()

Get the section identifier below which this section is displayed. `"top"` is returned if this section is the top most section or if there is one section in the tab.

Specified by:
  `getAfterSection` in interface `IEEFSectionDescriptor`
Overrides:
  `getAfterSection` in class `AbstractEEFSectionDescriptor`
Returns:
  the section identifier.
See Also:
  `IEEFSectionDescriptor.getAfterSection()`

#### getEnablesFor

    public int getEnablesFor()

Get the value for section enablement which is a precise number of items selected. For example: enablesFor="1" enables the section only when one item is selected. If not specified, enable for any selection and return ENABLES_FOR_ANY.

Specified by:
  `getEnablesFor` in interface `IEEFSectionDescriptor`
Overrides:
  `getEnablesFor` in class `AbstractEEFSectionDescriptor`
Returns:
  the value for section enablement.
See Also:
  `IEEFSectionDescriptor.getEnablesFor()`

#### getInputTypes

    public java.util.List<java.lang.String> getInputTypes()

Get the valid input types for this section.

Specified by:
  `getInputTypes` in interface `IEEFSectionDescriptor`
Overrides:
  `getInputTypes` in class `AbstractEEFSectionDescriptor`
Returns:
  the valid input types for this section.
See Also:
  `AbstractEEFSectionDescriptor.getInputTypes()`